## org.mortbay.io
Interface Buffers

All Known Subinterfaces:
  Connector

All Known Implementing Classes:
  AbstractBuffers, AbstractConnector, AbstractNIOConnector, Ajp13SocketConnector, BlockingChannelConnector, HttpClient, LocalConnector, SelectChannelConnector, SimpleBuffers, SocketConnector, SslSelectChannelConnector, SslSocketConnector

    public interface Buffers

BufferSource. Represents a pool or other source of buffers and abstracts the creation of specific types of buffers (eg NIO). The concept of big and little buffers is supported, but these terms have no absolute meaning and must be determined by context.

Author:
  gregw

Method Summary
`Buffer` `getBuffer(int size)`
`void` `returnBuffer(Buffer buffer)`

Method Detail

### getBuffer

    Buffer getBuffer(int size)

### returnBuffer

    void returnBuffer(Buffer buffer)

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.